package com.prolog.eis.service.container.impl;

import com.prolog.eis.dao.container.ContainerInfoDetailMapper;
import com.prolog.eis.model.container.ContainerInfoDetail;
import com.prolog.eis.service.container.ContainerInfoDetailService;
import com.prolog.framework.core.restriction.Criteria;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;
import java.util.Map;

@Service
@RequiredArgsConstructor
public class ContainerInfoDetailServiceImpl implements ContainerInfoDetailService {
    private final ContainerInfoDetailMapper containerInfoDetailService;

    @Override
    public List<ContainerInfoDetail> findByMap(Map<String, Object> params) {
        return containerInfoDetailService.findByMap(params,ContainerInfoDetail.class);
    }

    @Override
    public void deleteById(Integer id) {
        containerInfoDetailService.deleteById(id, ContainerInfoDetail.class);
    }

    @Override
    public List<ContainerInfoDetail> findByCriteria(Criteria criteria) {
        return containerInfoDetailService.findByCriteria(criteria);
    }
}
